// EPROM Generation program for 405 line test card signal
// V1.0 Copyright (c) 2000-2002 J. Evans
// This software is supplied as-is and with no warrenty expressed or implied.
// Feel free to modify or use this software for any purpose, however if you re-distribute
// this software source you must include an acknowledgment of the original software and
// also distribute the source for free.
// TTFN,
//   Jon    www.TheValvePage.com

#define PIX_PER_LINE    492   /* This must be divisible by 4 */
#define NUM_OF_LINES    378

#define SCAN_LINE_TIME   592   /* 592 would be 98.76uS * 6MHz */
#define LINE_PULSE_TIME  60    /* 60 pix at 6MHz -> 10uS  */
#define FRAME_PULSE_HIGH_TIME LINE_PULSE_TIME
#define FRAME_PULSE_LOW_TIME  ((SCAN_LINE_TIME/2)-FRAME_PULSE_HIGH_TIME)
#define BACK_PORCH_TIME  30    /* 30 pix at 6MHz -> 5uS   */
#define FRONT_PORCH_TIME 10     /* 9 pix at 6MHz  -> 1.5uS */

// Define num of picture pixels in first half of line
// 296 - 60 - 10 =>226, used to use 246 -> 20 pix error ~3uS
// double check : 2nd half line is 492-226 = 266 pix, +back porch -> 296, Tick !

#define HALF_PIC_LINE ((SCAN_LINE_TIME/2)-LINE_PULSE_TIME-FRONT_PORCH_TIME)

// A half-hearted attempt at some kind of platform portability :-

typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef long LONG;

// Function prototypes for the bitmap reading functions

BYTE OpenBitmapFile( char *filename ) ;
void CloseBitmapFile( void ) ;
void ReadBitmapFile( WORD nLine, BYTE *pDest ) ;
